export declare enum Units {
    METRIC = "metric",
    IMPERIAL = "imperial"
}
export interface TopOffOptions {
    currentMix: {
        fO2: number;
        p: number;
    };
    topOffMix: {
        fO2: number;
    };
    targetPressure: number;
}
export interface CoreOptions {
    units?: Units;
    defaultPpO2Max?: number;
}
export declare enum InputType {
    DEPTH = 0,
    PPO2MAX = 1,
    FO2 = 2
}
declare class NitroxLabCore {
    units: Units;
    defaultPpO2Max: number;
    constructor(options?: CoreOptions);
    private convDepth;
    private validateInput;
    private numFixed;
    calcMOD(fO2: number, ppO2Max: number): number;
    calcBestMix(depth: number, ppO2Max: number): number;
    calcTopOff(options: TopOffOptions): number;
}
export { NitroxLabCore };
//# sourceMappingURL=index.d.ts.map